Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gtk::Style Class Reference

A GtkStyle C++ wrapper class. More...

`#include <inti/gtk/style.h>`

Inheritance diagram for Inti::Gtk::Style:

List of all members.

## Public Member Functions

Constructors

- virtual ~Style ()
    Destructor.

Accessors

- GtkStyle * gtk_style () const
    Get a pointer to the GtkStyle structure.
- GtkStyleClass * gtk_style_class () const
    Get a pointer to the GtkStyleClass structure.
- operator GtkStyle * () const
    Conversion operator; safely converts a Style to a GtkStyle pointer.
- Gdk::Color fg (StateType state_type) const
    Gets the foreground color for state_type.
- Gdk::Color bg (StateType state_type) const
    Gets the background color for state_type.
- Gdk::Color light (StateType state_type) const
    Gets the light color for state_type.
- Gdk::Color dark (StateType state_type) const
    Gets the dark color for state_type.
- Gdk::Color mid (StateType state_type) const
    Gets the mid-range color for state_type.
- Gdk::Color text (StateType state_type) const
    Gets the text color for state_type.
- Gdk::Color base (StateType state_type) const
    Gets the base color for state_type.
- Gdk::Color text_aa (StateType state_type) const
    Gets the text_aa color (halfway between text/base) for state_type.
- Gdk::Color black () const
    Returns the color black.
- Gdk::Color white () const
    Returns the color white.
- Pointer< Pango::FontDescription > font_desc () const
    Gets the font descritpion for the style.
- Gdk::GC * black_gc () const
    Gets the graphics context for black.
- Gdk::GC * white_gc () const
    Gets the graphics context for white.
- Gdk::GC * fg_gc (StateType state_type) const
    Gets the foreground graphics context for state_type.
- Gdk::GC * bg_gc (StateType state_type) const
    Gets the background graphics context for state_type.
- Gdk::GC * light_gc (StateType state_type) const
    Gets the light graphics context for state_type.
- Gdk::GC * dark_gc (StateType state_type) const
    Gets the dark graphics context for state_type.
- Gdk::GC * mid_gc (StateType state_type) const
    Gets the mid graphics context for state_type.
- Gdk::GC * text_gc (StateType state_type) const
    Gets the text graphics context for state_type.
- Gdk::GC * base_gc (StateType state_type) const
    Gets the base graphics context for state_type.
- Gdk::GC * text_aa_gc (StateType state_type) const
    Gets the text_aa graphics context for state_type.
- Gdk::Pixmap * bg_pixmap (StateType state_type) const
    Gets the background pixmap for state_type, if any.

Methods

- Pointer< Style > copy () const
    Returns a deep copy of this style.
- void attach (const Gdk::Window &window)
    Attaches a style to a Gdk::Window.
- void set_background (Gdk::Window &window, StateType state_type)
    Sets the background of window to the background color or pixmap specified by style for the given state.
- Pointer< IconSet > lookup_icon_set (const char *stock_id)
    Gets the icon set for stock_id.
- void apply_default_background (Gdk::Window &window, bool set_bg, StateType state_type, int x, int y, int width, int height, const Gdk::Rectangle *area=0)
    Apply the default background to window.
- Pointer< Gdk::Pixbuf > render_icon (const IconSource &source, TextDirection direction, StateType state, IconSize size, Widget *widget=0, const char *detail=0)
    Renders the icon specified by source at the given size according to the given parameters and returns the result in a pixbuf.
- void draw_hline (Gdk::Window &window, StateType state_type, int x1, int x2, int y, const Gdk::Rectangle *area=0, Widget *widget=0, const char *detail=0)
    Draws a horizontal line from (x1, y) to (x2, y) in window using the given style and state.
- void draw_vline (Gdk::Window &window, StateType state_type, int y1, int y2, int x, const Gdk::Rectangle *area=0, Widget *widget=0, const char *detail=0)
    Draws a vertical line from (x, y1) to (x, y2) in window using the given style and state.
- void draw_shadow (Gdk::Window &window, StateType state_type, ShadowType shadow_type, int x, int y, int width, int height, const Gdk::Rectangle *area=0, Widget *widget=0, const char *detail=0)
    Draws a shadow around the given rectangle in window using the given style and state and shadow type.
- void draw_polygon (Gdk::Window &window, StateType state_type, ShadowType shadow_type, const Gdk::Point *points, int npoints, bool fill, const Gdk::Rectangle *area=0, Widget *widget=0, const char *detail=0)
    Draws a polygon on window with the given parameters.
- void draw_arrow (Gdk::Window &window, StateType state_type, ShadowType shadow_type, ArrowType arrow_type, bool fill, int x, int y, int width, int height, const Gdk::Rectangle *area=0, Widget *widget=0, const char *detail=0)
    Draws an arrow in the given rectangle on window using the given parameters in the direction specified by arrow_type.
- void draw_diamond (Gdk::Window &window, StateType state_type, ShadowType shadow_type, int x, int y, int width, int height, const Gdk::Rectangle *area=0, Widget *widget=0, const char *detail=0)
    Draws a diamond in the given rectangle on window using the given parameters.
- void draw_box (Gdk::Window &window, StateType state_type, ShadowType shadow_type, int x, int y, int width, int height, const Gdk::Rectangle *area=0, Widget *widget=0, const char *detail=0)
    Draws a box on window with the given parameters.
- void draw_flat_box (Gdk::Window &window, StateType state_type, ShadowType shadow_type, int x, int y, int width, int height, const Gdk::Rectangle *area=0, Widget *widget=0, const char *detail=0)
    Draws a flat box on window with the given parameters.
- void draw_check (Gdk::Window &window, StateType state_type, ShadowType shadow_type, int x, int y, int width, int height, const Gdk::Rectangle *area=0, Widget *widget=0, const char *detail=0)
    Draws a check button indicator in the given rectangle on window with the given parameters.
- void draw_option (Gdk::Window &window, StateType state_type, ShadowType shadow_type, int x, int y, int width, int height, const Gdk::Rectangle *area=0, Widget *widget=0, const char *detail=0)
    Draws a radio button indicator in the given rectangle on window with the given parameters.
- void draw_tab (Gdk::Window &window, StateType state_type, ShadowType shadow_type, int x, int y, int width, int height, const Gdk::Rectangle *area=0, Widget *widget=0, const char *detail=0)
    Draws an option menu tab (the up and down pointing arrows) in the given rectangle on window using the given parameters.
- void draw_shadow_gap (Gdk::Window &window, StateType state_type, ShadowType shadow_type, int x, int y, int width, int height, PositionType gap_side, int gap_x, int gap_width, const Gdk::Rectangle *area=0, Widget *widget=0, const char *detail=0)
    Draws a shadow gap around the given rectangle on window using the given parameters.
- void draw_box_gap (Gdk::Window &window, StateType state_type, ShadowType shadow_type, int x, int y, int width, int height, PositionType gap_side, int gap_x, int gap_width, const Gdk::Rectangle *area=0, Widget *widget=0, const char *detail=0)
    Draws a box gap around the given rectangle on window using the given parameters.
- void draw_extension (Gdk::Window &window, StateType state_type, ShadowType shadow_type, int x, int y, int width, int height, PositionType gap_side, const Gdk::Rectangle *area=0, Widget *widget=0, const char *detail=0)
    Draws an extension using the given parameters.
- void draw_focus (Gdk::Window &window, StateType state_type, int x, int y, int width, int height, const Gdk::Rectangle *area=0, Widget *widget=0, const char *detail=0)
    Draws a focus indicator around the given rectangle on window using this style.
- void draw_slider (Gdk::Window &window, StateType state_type, ShadowType shadow_type, int x, int y, int width, int height, Orientation orientation, const Gdk::Rectangle *area=0, Widget *widget=0, const char *detail=0)
    Draws a slider on window with the given paramters.
- void draw_handle (Gdk::Window &window, StateType state_type, ShadowType shadow_type, int x, int y, int width, int height, Orientation orientation, const Gdk::Rectangle *area=0, Widget *widget=0, const char *detail=0)
    Draws a handle on window with the given paramters.
- void draw_expander (Gdk::Window &window, StateType state_type, int x, int y, ExpanderStyle expander_style, const Gdk::Rectangle *area=0, Widget *widget=0, const char *detail=0)
    Draws an expander on window with the given paramters.
- void draw_layout (Gdk::Window &window, StateType state_type, bool use_text, int x, int y, Pango::Layout &layout, const Gdk::Rectangle *area=0, Widget *widget=0, const char *detail=0)
    Draws a Pango::Layout on window with the given paramters.
- void draw_resize_grip (Gdk::Window &window, StateType state_type, Gdk::WindowEdge edge, int x, int y, int width, int height, const Gdk::Rectangle *area=0, Widget *widget=0, const char *detail=0)
    Draws a resize grip in the given rectangle on window using the given parameters.

## Protected Member Functions

Constructors

- Style (GtkStyle *style, bool reference=true)
    Construct a new Style from an existing GtkStyle.

## Detailed Description

A GtkStyle C++ wrapper class.

A Style object is used store a widget's style. It contains a variety of graphics contexts available for each widget state (PRELIGHT, NORMAL, ACTIVE, SELECTED and INSENSITIVE), as well as a black and a white graphics context.

The black GC (black_gc()) and the white GC (white_gc()) are graphics contexts defining the drawing color of black and white, respectively, and can be used in Gdk::Drawable methods.

## Constructor & Destructor Documentation

Inti::Gtk::Style::Style | ( | GtkStyle * | style,
|  | bool | reference = true
| ) | `[explicit, protected]`

Construct a new Style from an existing GtkStyle.

Parameters:

  style | A pointer to a GtkStyle.
  reference | Set false if the initial reference count is floating, set true if it's not.

The style can be a newly created GtkStyle or an existing GtkStyle (see G::Object::Object).

## Member Function Documentation

void Inti::Gtk::Style::apply_default_background | ( | Gdk::Window & | window,
|  | bool | set_bg,
|  | StateType | state_type,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | const Gdk::Rectangle * | area = 0
| ) |

Apply the default background to window.

Parameters:

  window | A Gdk::Window.
  set_bg | true if window belongs to a widget.
  state_type | A state.
  x | The x origin of the rectangle to apply the backgroud to.
  y | The y origin of the rectangle to apply the backgroud to.
  width | The width of the rectangle to apply the backgroud to.
  height | The height of the rectangle to apply the backgroud to.
  area | The rectangle to which the output is clipped, or null.

This method can be called to apply the default background for the current theme to the specified rectangle in window, before drawing.

void Inti::Gtk::Style::attach | ( | const Gdk::Window & | window | ) |

Attaches a style to a Gdk::Window.

Parameters:

  window | A widget's Gdk::Window.

This process allocates the colors and creates the GC's for the style - specializing it to a particular visual and colormap. The process may involve the creation of a new style if the style has already been attached to a window with a different style and colormap. If a new style is created, the internal GtkStyle pointer is set to point to the new style. The original style will be dereferenced and the new style will have a reference count belonging to the caller. If you need to reuse a widget style, rather than store a pointer to it before calling this method, you should call Gtk::Widget::get_style() after calling this method.

Note: This method is only useful when implementing a custom widget that derives directly from Gtk::Widget. It should be called from the custom widget's virtual on_realize() method. Otherwise you should never use attach(); use Gtk::Widget::set_style() instead. There is no detach() method because you don't need to detach the style. Gtk::Widget will detach the attached style for you (see the Dial example program).

Gdk::Color Inti::Gtk::Style::base | ( | StateType | state_type | ) | const

Gets the base color for state_type.

Parameters:

  state_type | One of the values in the Gtk::StateType enumeration.

Returns:
  The Gdk::Color for state_type.

Gdk::GC* Inti::Gtk::Style::base_gc | ( | StateType | state_type | ) | const

Gets the base graphics context for state_type.

Parameters:

  state_type | One of the values in the Gtk::StateType enumeration.

Returns:
  The graphics context.

Gdk::Color Inti::Gtk::Style::bg | ( | StateType | state_type | ) | const

Gets the background color for state_type.

Parameters:

  state_type | One of the values in the Gtk::StateType enumeration.

Returns:
  The Gdk::Color for state_type.

Gdk::GC* Inti::Gtk::Style::bg_gc | ( | StateType | state_type | ) | const

Gets the background graphics context for state_type.

Parameters:

  state_type | One of the values in the Gtk::StateType enumeration.

Returns:
  The graphics context.

Gdk::Pixmap* Inti::Gtk::Style::bg_pixmap | ( | StateType | state_type | ) | const

Gets the background pixmap for state_type, if any.

Parameters:

  state_type | One of the values in the Gtk::StateType enumeration.

Returns:
  The background pixmap if there is one, otherwise null.

Gdk::Color Inti::Gtk::Style::black | ( |  | ) | const

Returns the color black.

Returns:
  The Gdk::Color black.

Gdk::Color Inti::Gtk::Style::dark | ( | StateType | state_type | ) | const

Gets the dark color for state_type.

Parameters:

  state_type | One of the values in the Gtk::StateType enumeration.

Returns:
  The Gdk::Color for state_type.

Gdk::GC* Inti::Gtk::Style::dark_gc | ( | StateType | state_type | ) | const

Gets the dark graphics context for state_type.

Parameters:

  state_type | One of the values in the Gtk::StateType enumeration.

Returns:
  The graphics context.

void Inti::Gtk::Style::draw_arrow | ( | Gdk::Window & | window,
|  | StateType | state_type,
|  | ShadowType | shadow_type,
|  | ArrowType | arrow_type,
|  | bool | fill,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | const Gdk::Rectangle * | area = 0,
|  | Widget * | widget = 0,
|  | const char * | detail = 0
| ) |

Draws an arrow in the given rectangle on window using the given parameters in the direction specified by arrow_type.

Parameters:

  window | A Gdk::Window to draw on.
  state_type | A state.
  shadow_type | The type of shadow to draw.
  arrow_type | The type of arrow to draw.
  fill | true if the arrow tip should be filled.
  x | The x origin of the rectangle to draw the arrow in.
  y | The y origin of the rectangle to draw the arrow in.
  width | The width of the rectangle to draw the arrow in.
  height | The height of the rectangle to draw the arrow in.
  area | The rectangle to which the output is clipped, or null.
  widget | The widget, or null.
  detail | A style detail, or null.

void Inti::Gtk::Style::draw_box | ( | Gdk::Window & | window,
|  | StateType | state_type,
|  | ShadowType | shadow_type,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | const Gdk::Rectangle * | area = 0,
|  | Widget * | widget = 0,
|  | const char * | detail = 0
| ) |

Draws a box on window with the given parameters.

Parameters:

  window | A Gdk::Window to draw on.
  state_type | A state.
  shadow_type | The type of shadow to draw.
  x | The x origin of the box.
  y | The y origin of the box.
  width | The width of the box.
  height | The height of the box.
  area | The rectangle to which the output is clipped, or null.
  widget | The widget, or null.
  detail | A style detail, or null.

void Inti::Gtk::Style::draw_box_gap | ( | Gdk::Window & | window,
|  | StateType | state_type,
|  | ShadowType | shadow_type,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | PositionType | gap_side,
|  | int | gap_x,
|  | int | gap_width,
|  | const Gdk::Rectangle * | area = 0,
|  | Widget * | widget = 0,
|  | const char * | detail = 0
| ) |

Draws a box gap around the given rectangle on window using the given parameters.

Parameters:

  window | A Gdk::Window to draw on.
  state_type | A state.
  shadow_type | The type of shadow to draw.
  x | The x origin of the rectangle.
  y | The y origin of the rectangle.
  width | The width of the rectangle.
  height | The height of the rectangle.
  gap_side | A position.
  gap_x | The x origin of the gap.
  gap_width | The width of the gap.
  area | The rectangle to which the output is clipped, or null.
  widget | The widget, or null.
  detail | A style detail, or null.

void Inti::Gtk::Style::draw_check | ( | Gdk::Window & | window,
|  | StateType | state_type,
|  | ShadowType | shadow_type,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | const Gdk::Rectangle * | area = 0,
|  | Widget * | widget = 0,
|  | const char * | detail = 0
| ) |

Draws a check button indicator in the given rectangle on window with the given parameters.

Parameters:

  window | A Gdk::Window to draw on.
  state_type | A state.
  shadow_type | The type of shadow to draw.
  x | The x origin of the rectangle to draw the check in.
  y | The y origin of the rectangle to draw the check in.
  width | The width of the rectangle to draw the check in.
  height | The height of the rectangle to draw the check in.
  area | The rectangle to which the output is clipped, or null.
  widget | The widget, or null.
  detail | A style detail, or null.

void Inti::Gtk::Style::draw_diamond | ( | Gdk::Window & | window,
|  | StateType | state_type,
|  | ShadowType | shadow_type,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | const Gdk::Rectangle * | area = 0,
|  | Widget * | widget = 0,
|  | const char * | detail = 0
| ) |

Draws a diamond in the given rectangle on window using the given parameters.

Parameters:

  window | A Gdk::Window to draw on.
  state_type | A state.
  shadow_type | The type of shadow to draw.
  x | The x origin of the rectangle to draw the diamond in.
  y | The y origin of the rectangle to draw the diamond in.
  width | The width of the rectangle to draw the diamond in.
  height | The height of the rectangle to draw the diamond in.
  area | The rectangle to which the output is clipped, or null.
  widget | The widget, or null.
  detail | A style detail, or null.

void Inti::Gtk::Style::draw_expander | ( | Gdk::Window & | window,
|  | StateType | state_type,
|  | int | x,
|  | int | y,
|  | ExpanderStyle | expander_style,
|  | const Gdk::Rectangle * | area = 0,
|  | Widget * | widget = 0,
|  | const char * | detail = 0
| ) |

Draws an expander on window with the given paramters.

Parameters:

  window | A Gdk::Window to draw on.
  state_type | A state.
  x | The x origin of the expander.
  y | The y origin of the expander.
  expander_style | The expander style to draw.
  area | The rectangle to which the output is clipped, or null.
  widget | The widget, or null.
  detail | A style detail, or null.

void Inti::Gtk::Style::draw_extension | ( | Gdk::Window & | window,
|  | StateType | state_type,
|  | ShadowType | shadow_type,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | PositionType | gap_side,
|  | const Gdk::Rectangle * | area = 0,
|  | Widget * | widget = 0,
|  | const char * | detail = 0
| ) |

Draws an extension using the given parameters.

Parameters:

  window | A Gdk::Window to draw on.
  state_type | A state.
  shadow_type | The type of shadow to draw.
  x | The x origin of the rectangle.
  y | The y origin of the rectangle.
  width | The width of the rectangle.
  height | The height of the rectangle.
  gap_side | A position.
  area | The rectangle to which the output is clipped, or null.
  widget | The widget, or null.
  detail | A style detail, or null.

void Inti::Gtk::Style::draw_flat_box | ( | Gdk::Window & | window,
|  | StateType | state_type,
|  | ShadowType | shadow_type,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | const Gdk::Rectangle * | area = 0,
|  | Widget * | widget = 0,
|  | const char * | detail = 0
| ) |

Draws a flat box on window with the given parameters.

Parameters:

  window | A Gdk::Window to draw on.
  state_type | A state.
  shadow_type | The type of shadow to draw.
  x | The x origin of the box.
  y | The y origin of the box.
  width | The width of the box.
  height | The height of the box.
  area | The rectangle to which the output is clipped, or null.
  widget | The widget, or null.
  detail | A style detail, or null.

void Inti::Gtk::Style::draw_focus | ( | Gdk::Window & | window,
|  | StateType | state_type,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | const Gdk::Rectangle * | area = 0,
|  | Widget * | widget = 0,
|  | const char * | detail = 0
| ) |

Draws a focus indicator around the given rectangle on window using this style.

Parameters:

  window | A Gdk::Window to draw on.
  state_type | A state.
  x | The x origin of the rectangle around which to draw a focus indicator.
  y | The y origin of the rectangle around which to draw a focus indicator.
  width | The width of the rectangle around which to draw a focus indicator.
  height | The height of the rectangle around which to draw a focus indicator.
  area | The rectangle to which the output is clipped, or null.
  widget | The widget, or null.
  detail | A style detail, or null.

void Inti::Gtk::Style::draw_handle | ( | Gdk::Window & | window,
|  | StateType | state_type,
|  | ShadowType | shadow_type,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | Orientation | orientation,
|  | const Gdk::Rectangle * | area = 0,
|  | Widget * | widget = 0,
|  | const char * | detail = 0
| ) |

Draws a handle on window with the given paramters.

Parameters:

  window | A Gdk::Window to draw on.
  state_type | A state.
  shadow_type | The type of shadow to draw.
  x | The x origin of the rectangle to draw the handle in.
  y | The y origin of the rectangle to draw the handle in.
  width | The width of the rectangle to draw the handle in.
  height | The height of the rectangle to draw the handle in.
  orientation | The orientation of the handle.
  area | The rectangle to which the output is clipped, or null.
  widget | The widget, or null.
  detail | A style detail, or null.

void Inti::Gtk::Style::draw_hline | ( | Gdk::Window & | window,
|  | StateType | state_type,
|  | int | x1,
|  | int | x2,
|  | int | y,
|  | const Gdk::Rectangle * | area = 0,
|  | Widget * | widget = 0,
|  | const char * | detail = 0
| ) |

Draws a horizontal line from (x1, y) to (x2, y) in window using the given style and state.

Parameters:

  window | A Gdk::Window to draw on.
  state_type | A state.
  x1 | The starting x coordinate.
  x2 | The ending x coordinate.
  y | The y coordinate.
  area | The rectangle to which the output is clipped, or null.
  widget | The widget, or null.
  detail | A style detail, or null.

void Inti::Gtk::Style::draw_layout | ( | Gdk::Window & | window,
|  | StateType | state_type,
|  | bool | use_text,
|  | int | x,
|  | int | y,
|  | Pango::Layout & | layout,
|  | const Gdk::Rectangle * | area = 0,
|  | Widget * | widget = 0,
|  | const char * | detail = 0
| ) |

Draws a Pango::Layout on window with the given paramters.

Parameters:

  window | A Gdk::Window to draw on.
  state_type | A state.
  use_text | true to draw the layout with the text graphics context.
  x | The x origin of the layout.
  y | The y origin of the layout.
  layout | A Pango::Layout.
  area | The rectangle to which the output is clipped, or null.
  widget | The widget, or null.
  detail | A style detail, or null.

void Inti::Gtk::Style::draw_option | ( | Gdk::Window & | window,
|  | StateType | state_type,
|  | ShadowType | shadow_type,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | const Gdk::Rectangle * | area = 0,
|  | Widget * | widget = 0,
|  | const char * | detail = 0
| ) |

Draws a radio button indicator in the given rectangle on window with the given parameters.

Parameters:

  window | A Gdk::Window to draw on.
  state_type | A state.
  shadow_type | The type of shadow to draw.
  x | The x origin of the rectangle to draw the option in.
  y | The y origin of the rectangle to draw the option in.
  width | The width of the rectangle to draw the option in.
  height | The height of the rectangle to draw the option in.
  area | The rectangle to which the output is clipped, or null.
  widget | The widget, or null.
  detail | A style detail, or null.

void Inti::Gtk::Style::draw_polygon | ( | Gdk::Window & | window,
|  | StateType | state_type,
|  | ShadowType | shadow_type,
|  | const Gdk::Point * | points,
|  | int | npoints,
|  | bool | fill,
|  | const Gdk::Rectangle * | area = 0,
|  | Widget * | widget = 0,
|  | const char * | detail = 0
| ) |

Draws a polygon on window with the given parameters.

Parameters:

  window | A Gdk::Window to draw on.
  state_type | A state.
  shadow_type | The type of shadow to draw.
  points | An array of Gdk::Points.
  npoints | The length of points.
  fill | true if the polygon should be filled.
  area | The rectangle to which the output is clipped, or null.
  widget | The widget, or null.
  detail | A style detail, or null.

void Inti::Gtk::Style::draw_resize_grip | ( | Gdk::Window & | window,
|  | StateType | state_type,
|  | Gdk::WindowEdge | edge,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | const Gdk::Rectangle * | area = 0,
|  | Widget * | widget = 0,
|  | const char * | detail = 0
| ) |

Draws a resize grip in the given rectangle on window using the given parameters.

Parameters:

  window | A Gdk::Window to draw on.
  state_type | A state.
  edge | The window edge in which to draw the resize grip, currently only WINDOW_EDGE_SOUTH_EAST.
  x | The x origin of the rectangle in which to draw the resize grip.
  y | The y origin of the rectangle in which to draw the resize grip.
  width | The width of the rectangle in which to draw the resize grip.
  height | The height of the rectangle in which to draw the resize grip.
  area | The rectangle to which the output is clipped, or null.
  widget | The widget, or null.
  detail | A style detail, or null.

void Inti::Gtk::Style::draw_shadow | ( | Gdk::Window & | window,
|  | StateType | state_type,
|  | ShadowType | shadow_type,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | const Gdk::Rectangle * | area = 0,
|  | Widget * | widget = 0,
|  | const char * | detail = 0
| ) |

Draws a shadow around the given rectangle in window using the given style and state and shadow type.

Parameters:

  window | A Gdk::Window to draw on.
  state_type | A state.
  shadow_type | The type of shadow to draw.
  x | The x origin of the rectangle.
  y | The y origin of the rectangle.
  width | The width of the rectangle.
  height | The width of the rectangle.
  area | The rectangle to which the output is clipped, or null.
  widget | The widget, or null.
  detail | A style detail, or null.

void Inti::Gtk::Style::draw_shadow_gap | ( | Gdk::Window & | window,
|  | StateType | state_type,
|  | ShadowType | shadow_type,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | PositionType | gap_side,
|  | int | gap_x,
|  | int | gap_width,
|  | const Gdk::Rectangle * | area = 0,
|  | Widget * | widget = 0,
|  | const char * | detail = 0
| ) |

Draws a shadow gap around the given rectangle on window using the given parameters.

Parameters:

  window | A Gdk::Window to draw on.
  state_type | A state.
  shadow_type | The type of shadow to draw.
  x | The x origin of the rectangle.
  y | The y origin of the rectangle.
  width | The width of the rectangle.
  height | The height of the rectangle.
  gap_side | A position.
  gap_x | The x origin of the gap.
  gap_width | The width of the gap.
  area | The rectangle to which the output is clipped, or null.
  widget | The widget, or null.
  detail | A style detail, or null.

void Inti::Gtk::Style::draw_slider | ( | Gdk::Window & | window,
|  | StateType | state_type,
|  | ShadowType | shadow_type,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | Orientation | orientation,
|  | const Gdk::Rectangle * | area = 0,
|  | Widget * | widget = 0,
|  | const char * | detail = 0
| ) |

Draws a slider on window with the given paramters.

Parameters:

  window | A Gdk::Window to draw on.
  state_type | A state.
  shadow_type | The type of shadow to draw.
  x | The x origin of the rectangle to draw the slider in.
  y | The y origin of the rectangle to draw the slider in.
  width | The width of the rectangle to draw the slider in.
  height | The height of the rectangle to draw the slider in.
  orientation | The orientation of the slider.
  area | The rectangle to which the output is clipped, or null.
  widget | The widget, or null.
  detail | A style detail, or null.

void Inti::Gtk::Style::draw_tab | ( | Gdk::Window & | window,
|  | StateType | state_type,
|  | ShadowType | shadow_type,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | const Gdk::Rectangle * | area = 0,
|  | Widget * | widget = 0,
|  | const char * | detail = 0
| ) |

Draws an option menu tab (the up and down pointing arrows) in the given rectangle on window using the given parameters.

Parameters:

  window | A Gdk::Window to draw on.
  state_type | A state.
  shadow_type | The type of shadow to draw.
  x | The x origin of the rectangle to draw the tab in.
  y | The y origin of the rectangle to draw the tab in.
  width | The width of the rectangle to draw the tab in.
  height | The height of the rectangle to draw the tab in.
  area | The rectangle to which the output is clipped, or null.
  widget | The widget, or null.
  detail | A style detail, or null.

void Inti::Gtk::Style::draw_vline | ( | Gdk::Window & | window,
|  | StateType | state_type,
|  | int | y1,
|  | int | y2,
|  | int | x,
|  | const Gdk::Rectangle * | area = 0,
|  | Widget * | widget = 0,
|  | const char * | detail = 0
| ) |

Draws a vertical line from (x, y1) to (x, y2) in window using the given style and state.

Parameters:

  window | A Gdk::Window to draw on.
  state_type | A state.
  y1 | The starting y coordinate.
  y2 | The ending y coordinate.
  x | The x coordinate.
  area | The rectangle to which the output is clipped, or null.
  widget | The widget, or null.
  detail | A style detail, or null.

Gdk::Color Inti::Gtk::Style::fg | ( | StateType | state_type | ) | const

Gets the foreground color for state_type.

Parameters:

  state_type | One of the values in the Gtk::StateType enumeration.

Returns:
  The Gdk::Color for state_type.

Gdk::GC* Inti::Gtk::Style::fg_gc | ( | StateType | state_type | ) | const

Gets the foreground graphics context for state_type.

Parameters:

  state_type | One of the values in the Gtk::StateType enumeration.

Returns:
  The graphics context.

Gdk::Color Inti::Gtk::Style::light | ( | StateType | state_type | ) | const

Gets the light color for state_type.

Parameters:

  state_type | One of the values in the Gtk::StateType enumeration.

Returns:
  The Gdk::Color for state_type.

Gdk::GC* Inti::Gtk::Style::light_gc | ( | StateType | state_type | ) | const

Gets the light graphics context for state_type.

Parameters:

  state_type | One of the values in the Gtk::StateType enumeration.

Returns:
  The graphics context.

Gdk::Color Inti::Gtk::Style::mid | ( | StateType | state_type | ) | const

Gets the mid-range color for state_type.

Parameters:

  state_type | One of the values in the Gtk::StateType enumeration.

Returns:
  The Gdk::Color for state_type.

Gdk::GC* Inti::Gtk::Style::mid_gc | ( | StateType | state_type | ) | const

Gets the mid graphics context for state_type.

Parameters:

  state_type | One of the values in the Gtk::StateType enumeration.

Returns:
  The graphics context.

Pointer<Gdk::Pixbuf> Inti::Gtk::Style::render_icon | ( | const IconSource & | source,
|  | TextDirection | direction,
|  | StateType | state,
|  | IconSize | size,
|  | Widget * | widget = 0,
|  | const char * | detail = 0
| ) |

Renders the icon specified by source at the given size according to the given parameters and returns the result in a pixbuf.

Parameters:

  source | The IconSource specifying the icon to render.
  direction | A text direction.
  state | A state.
  size | The size to render the icon at.
  widget | The widget.
  detail | A style detail, or null.

Returns:
  A newly-created Gdk::Pixbuf containing the rendered icon, or null.

A size of (Gtk::IconSize)-1 means render at the size of the source and don't scale.

void Inti::Gtk::Style::set_background | ( | Gdk::Window & | window,
|  | StateType | state_type
| ) |

Sets the background of window to the background color or pixmap specified by style for the given state.

Parameters:

  window | A Gdk::Window.
  state_type | A state.

Gdk::Color Inti::Gtk::Style::text | ( | StateType | state_type | ) | const

Gets the text color for state_type.

Parameters:

  state_type | One of the values in the Gtk::StateType enumeration.

Returns:
  The Gdk::Color for state_type.

Gdk::Color Inti::Gtk::Style::text_aa | ( | StateType | state_type | ) | const

Gets the text_aa color (halfway between text/base) for state_type.

Parameters:

  state_type | One of the values in the Gtk::StateType enumeration.

Returns:
  The Gdk::Color for state_type.

Gdk::GC* Inti::Gtk::Style::text_aa_gc | ( | StateType | state_type | ) | const

Gets the text_aa graphics context for state_type.

Parameters:

  state_type | One of the values in the Gtk::StateType enumeration.

Returns:
  The graphics context.

Gdk::GC* Inti::Gtk::Style::text_gc | ( | StateType | state_type | ) | const

Gets the text graphics context for state_type.

Parameters:

  state_type | One of the values in the Gtk::StateType enumeration.

Returns:
  The graphics context.

Gdk::Color Inti::Gtk::Style::white | ( |  | ) | const

Returns the color white.

Returns:
  The Gdk::Color white.

The documentation for this class was generated from the following file:

- style.h

Main Page - Footer